import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateTopicInput } from "../types/CreateTopicInput";
import { CreateTopicOutput } from "../types/CreateTopicOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/CreateTopicInput";
export * from "../types/CreateTopicOutput";
export * from "../types/CreateTopicExceptionsUnion";
export declare class CreateTopicCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateTopicInput, OutputTypesUnion, CreateTopicOutput, SNSResolvedConfiguration, Blob> {
    readonly input: CreateTopicInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateTopicInput, CreateTopicOutput, Blob>;
    constructor(input: CreateTopicInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<CreateTopicInput, CreateTopicOutput>;
}
