"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSubscriptionAttributes_1 = require("../model/operations/GetSubscriptionAttributes");
var GetSubscriptionAttributesCommand = /** @class */ (function () {
    function GetSubscriptionAttributesCommand(input) {
        this.input = input;
        this.model = GetSubscriptionAttributes_1.GetSubscriptionAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSubscriptionAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSubscriptionAttributesCommand;
}());
exports.GetSubscriptionAttributesCommand = GetSubscriptionAttributesCommand;
//# sourceMappingURL=GetSubscriptionAttributesCommand.js.map