"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var OptInPhoneNumber_1 = require("../model/operations/OptInPhoneNumber");
var OptInPhoneNumberCommand = /** @class */ (function () {
    function OptInPhoneNumberCommand(input) {
        this.input = input;
        this.model = OptInPhoneNumber_1.OptInPhoneNumber;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    OptInPhoneNumberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return OptInPhoneNumberCommand;
}());
exports.OptInPhoneNumberCommand = OptInPhoneNumberCommand;
//# sourceMappingURL=OptInPhoneNumberCommand.js.map