"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddPermissionInput_1 = require("../shapes/AddPermissionInput");
var AddPermissionOutput_1 = require("../shapes/AddPermissionOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddPermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddPermission",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddPermissionInput_1.AddPermissionInput
    },
    output: {
        shape: AddPermissionOutput_1.AddPermissionOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=AddPermission.js.map