"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreatePlatformEndpointInput_1 = require("../shapes/CreatePlatformEndpointInput");
var CreatePlatformEndpointOutput_1 = require("../shapes/CreatePlatformEndpointOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreatePlatformEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreatePlatformEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreatePlatformEndpointInput_1.CreatePlatformEndpointInput
    },
    output: {
        shape: CreatePlatformEndpointOutput_1.CreatePlatformEndpointOutput,
        resultWrapper: "CreatePlatformEndpointResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=CreatePlatformEndpoint.js.map