"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var OptInPhoneNumberInput_1 = require("../shapes/OptInPhoneNumberInput");
var OptInPhoneNumberOutput_1 = require("../shapes/OptInPhoneNumberOutput");
var ThrottledException_1 = require("../shapes/ThrottledException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.OptInPhoneNumber = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "OptInPhoneNumber",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: OptInPhoneNumberInput_1.OptInPhoneNumberInput
    },
    output: {
        shape: OptInPhoneNumberOutput_1.OptInPhoneNumberOutput,
        resultWrapper: "OptInPhoneNumberResult"
    },
    errors: [
        {
            shape: ThrottledException_1.ThrottledException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        }
    ]
};
//# sourceMappingURL=OptInPhoneNumber.js.map