"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetTopicAttributesInput_1 = require("../shapes/SetTopicAttributesInput");
var SetTopicAttributesOutput_1 = require("../shapes/SetTopicAttributesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var InvalidSecurityException_1 = require("../shapes/InvalidSecurityException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetTopicAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetTopicAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetTopicAttributesInput_1.SetTopicAttributesInput
    },
    output: {
        shape: SetTopicAttributesOutput_1.SetTopicAttributesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: InvalidSecurityException_1.InvalidSecurityException
        }
    ]
};
//# sourceMappingURL=SetTopicAttributes.js.map