import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreatePlatformApplicationInput } from "../types/CreatePlatformApplicationInput";
import { CreatePlatformApplicationOutput } from "../types/CreatePlatformApplicationOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/CreatePlatformApplicationInput";
export * from "../types/CreatePlatformApplicationOutput";
export * from "../types/CreatePlatformApplicationExceptionsUnion";
export declare class CreatePlatformApplicationCommand implements __aws_sdk_types.Command<InputTypesUnion, CreatePlatformApplicationInput, OutputTypesUnion, CreatePlatformApplicationOutput, SNSResolvedConfiguration, Blob> {
    readonly input: CreatePlatformApplicationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreatePlatformApplicationInput, CreatePlatformApplicationOutput, Blob>;
    constructor(input: CreatePlatformApplicationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<CreatePlatformApplicationInput, CreatePlatformApplicationOutput>;
}
