import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTopicsInput } from "../types/ListTopicsInput";
import { ListTopicsOutput } from "../types/ListTopicsOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/ListTopicsInput";
export * from "../types/ListTopicsOutput";
export * from "../types/ListTopicsExceptionsUnion";
export declare class ListTopicsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTopicsInput, OutputTypesUnion, ListTopicsOutput, SNSResolvedConfiguration, Blob> {
    readonly input: ListTopicsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTopicsInput, ListTopicsOutput, Blob>;
    constructor(input: ListTopicsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<ListTopicsInput, ListTopicsOutput>;
}
