import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetPlatformApplicationAttributesInput } from "../types/SetPlatformApplicationAttributesInput";
import { SetPlatformApplicationAttributesOutput } from "../types/SetPlatformApplicationAttributesOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/SetPlatformApplicationAttributesInput";
export * from "../types/SetPlatformApplicationAttributesOutput";
export * from "../types/SetPlatformApplicationAttributesExceptionsUnion";
export declare class SetPlatformApplicationAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, SetPlatformApplicationAttributesInput, OutputTypesUnion, SetPlatformApplicationAttributesOutput, SNSResolvedConfiguration, Blob> {
    readonly input: SetPlatformApplicationAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetPlatformApplicationAttributesInput, SetPlatformApplicationAttributesOutput, Blob>;
    constructor(input: SetPlatformApplicationAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<SetPlatformApplicationAttributesInput, SetPlatformApplicationAttributesOutput>;
}
