import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetSMSAttributesInput } from "../types/SetSMSAttributesInput";
import { SetSMSAttributesOutput } from "../types/SetSMSAttributesOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/SetSMSAttributesInput";
export * from "../types/SetSMSAttributesOutput";
export * from "../types/SetSMSAttributesExceptionsUnion";
export declare class SetSMSAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, SetSMSAttributesInput, OutputTypesUnion, SetSMSAttributesOutput, SNSResolvedConfiguration, Blob> {
    readonly input: SetSMSAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetSMSAttributesInput, SetSMSAttributesOutput, Blob>;
    constructor(input: SetSMSAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<SetSMSAttributesInput, SetSMSAttributesOutput>;
}
